package com.cisdi.data.RFID.gateway;

import com.cisdi.data.sdk.gateway.base.PulledSocketGatewayBase;
import com.cisdi.data.sdk.param.PullSocketParam;
import com.cisdi.data.sdk.service.ServiceProvider;

import java.util.concurrent.atomic.AtomicBoolean;

public class RfidTaskStartVo {
    private AtomicBoolean shouldRun;
    private ServiceProvider serviceProvider;
    private String deviceId;
    private PulledSocketGatewayBase gatewayBase;
    private PullSocketParam socketParam;
    private RfidCustomParam customParam;
    private RfidDaemonTask rfidDaemonTask;
    
    public AtomicBoolean getShouldRun() {
        return shouldRun;
    }
    public void setShouldRun(AtomicBoolean shouldRun) {
        this.shouldRun = shouldRun;
    }
    public ServiceProvider getServiceProvider() {
        return serviceProvider;
    }
    public void setServiceProvider(ServiceProvider serviceProvider) {
        this.serviceProvider = serviceProvider;
    }
    public String getDeviceId() {
        return deviceId;
    }
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }
    public PulledSocketGatewayBase getGatewayBase() {
        return gatewayBase;
    }
    public void setGatewayBase(PulledSocketGatewayBase gatewayBase) {
        this.gatewayBase = gatewayBase;
    }
    public PullSocketParam getSocketParam() {
        return socketParam;
    }
    public void setSocketParam(PullSocketParam socketParam) {
        this.socketParam = socketParam;
    }
    public RfidCustomParam getCustomParam() {
        return customParam;
    }
    public void setCustomParam(RfidCustomParam customParam) {
        this.customParam = customParam;
    }

    public RfidDaemonTask getRfidDaemonTask() {
        return rfidDaemonTask;
    }

    public void setRfidDaemonTask(RfidDaemonTask rfidDaemonTask) {
        this.rfidDaemonTask = rfidDaemonTask;
    }
}
